//nouvelle operation commercial / nouvelle carte
import { FireImg } from './FireImg';
import { Commercant } from './Commercant';
import { Parrain } from './Parrain';
import { OperationCommerciale } from './OperationCommerciale';
export class CarteParrainage
{
  uid: string;
  name: string;
  parrainCarte: Parrain;
  commercantCarte: Commercant;
  operationCommercialCarte: OperationCommerciale;
  dateDebut: Date;
  dateFin: Date;
  avantageCumule: string;
  avantageRecuperer: string;
  carteTemplate: FireImg;
  status: string;
  historique: string[];

  constructor() {
    this.uid = '';
    this.name = '';
    this.parrainCarte = new Parrain();
    this.commercantCarte = new Commercant();
    this.operationCommercialCarte = new OperationCommerciale();
    this.dateDebut = new Date();
    this.dateFin = new Date();
    this.avantageCumule = '';
    this.avantageRecuperer = '';
    this.carteTemplate = new FireImg();
    this.status = '';
    this.historique = [];
  }
  /*
  addParrain(addStatus, addEmail, addFamilyname, addFirstname) {
    this.uid = '';
    this.email = addEmail;
    this.emailVerified = false;
    this.password = '';
    this.familyname = addFamilyname;
    this.firstname = addFirstname;
    this.username = '';
    this.birthday = new Date();
    this.idCard = '';
    this.secretCode = '';
    this.status = addStatus;
  }
  welcome() {
    console.log('Hi, ' + this.firstname + '!');
  }
  */
}
